package cn.com.poc.example.rest;

import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.poc.example.dto.BizExampleDto;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;

@Permission(Access.Safety)
public interface BizExampleRest extends BaseRest {

    BizExampleDto getById(java.lang.Integer id) throws Exception;
    
    List<BizExampleDto> getList(BizExampleDto example,PagingInfo pagingInfo) throws Exception;
        
    BizExampleDto save(BizExampleDto dto) throws Exception;

    BizExampleDto update(BizExampleDto dto) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;
        
}